### Property

# Gtk Widget:can-focus

since: 4.0

#### Declaration

    property can-focus: gboolean [ read, write ]

#### Description [src]

Whether the widget or any of its descendents can accept the input focus.

This property is meant to be set by widget implementations, typically in their instance init function.

Type: | `gboolean`
Available since: | 4.0

Default value | TRUE
Getter method | `gtk_widget_get_can_focus()`
Setter method | `gtk_widget_set_can_focus()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no